Summary:        Command-line JSON processor
Name:           jq
Version:        1.7
Release:        1%{?dist}
License:        MIT and ASL 2.0 and CC-BY and GPLv3
URL:            http://stedolan.github.io/jq/
Source0:        https://github.com/stedolan/jq/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc flex bison chrpath oniguruma-devel
BuildRequires:  valgrind make autoconf automake libtool

%description
This package provides a lightweight and flexible command-line JSON processor
jq is like sed for JSON data – you can use it to slice and filter and map and
transform structured data with the same ease that sed, awk, grep and friends
let you play with text.

jq is written in portable C, and it has zero runtime dependencies.

jq can mangle the data format that you have into the one that you want with very
little effort, and the program to do so is often shorter and simpler than you'd expect.

%package     devel
Summary:     Development files for %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -if
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
chrpath -d %{buildroot}%{_bindir}/%{name}

%check
%ifarch x86_64
make check
%endif

%files
%{_datadir}/doc/*
%{_bindir}/%{name}
%{_libdir}/libjq.so.*
%{_datadir}/man/man1/jq.1.gz

%files devel
%{_includedir}/jq.h
%{_includedir}/jv.h
%{_libdir}/libjq.so
%{_libdir}/pkgconfig/libjq.pc

%changelog
* Tue Nov 14 2023 Miaojun Dong <zoedong@tencent.com> - 1.7-1
- Upgrade to 1.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 1.6-1
- initial build
